Update person list

POST /person/list/update


Description

The method updates the specified list of user persons. JWT token is required in the header for access.


Request format

  • HTTP method: POST
  • URL: /person/list/update
  • Content type: application/json
  • Authorization: required

Query Parameters

ParameterTypeWhere passedRequiredDescription
tokenstringHeaderUser’s JWT token

Request Body (JSON)

FieldTypeRequiredDescription
tokenstringUser’s JWT token
list_idstringList ID
namestringNew list name

Example Request (cURL)

curl -X POST "https://api.neuro-vision.ru/v1/person/list/update" 
  -H "Content-Type: application/json" 
  -H "Authorization: Bearer jwt.temporary.token" 
  -d '{
    "token": "jwt.temporary.token",
    "list_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "VIP Guests"
  }'

Example Answers

Success (200 OK)
{
  "status": "ok"
}
Error (400 Bad Request)
{
  "message": "invalid schema",
  "status": "error"
}
Error (401 Unauthorized)
{
  "message": "access denied",
  "status": "error"
}
Error (404 Not Found)
     Back   Forward